#### buffer (23 of 32 overloads)

Create a new modifiable buffer that represents the given POD vector.

    template<
        typename PodType,
        typename Allocator>
    mutable_buffer buffer(
        std::vector< PodType, Allocator > & data);

###### Return Value

A `mutable_buffer` value equivalent to:

    mutable_buffer(
        data.size() ? &data[0] : 0,
        data.size() * sizeof(PodType));

###### Remarks

The buffer is invalidated by any vector operation that would also invalidate iterators.